Bug 732610 - RFE: some way to tell fedora-easy-karma to not show an update when run again
Summary: RFE: some way to tell fedora-easy-karma to not show an update when run again
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 05:38 UTC by Andre Robatino
Modified: 2011-09-09 00:04 UTC (History)
1 user (show)

Fixed In Version: fedora-easy-karma-0-0.13.20110823gitb0706146.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 20:49:16 UTC


Attachments (Terms of Use)

Description Andre Robatino 2011-08-23 05:38:41 UTC
Description of problem:
Currently, there's no way to tell f-e-k to not show a given update when run again, if no comment is posted. The best I can do is to use --installed-max-days=1 , but that only narrows it down to updates within the last day (using 0 shows no updates at all). Frequently, there is more than one push within a 24-hour period, in which case I have to manually skip updates by looking at the end of /var/log/yum.log to see whether the update was in the latest batch.

Currently the only workaround is to post a zero-karma comment just for this purpose, which is frowned upon - see http://fedoraproject.org/wiki/Proven_tester#Unfamiliar_packages .

One possible way to do this would be to change --installed-max-days and --installed-min-days to allow hours and minutes, then set the maximum time to something that would exclude the previous batch. But I think it would also be nice to be able to just tell f-e-k "never show this update again" somehow.

Version-Release number of selected component (if applicable):
fedora-easy-karma-0-0.12.20110819gitadba3055.fc17.noarch

Comment 1 Fedora Update System 2011-08-23 16:25:39 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.el6

Comment 2 Fedora Update System 2011-08-23 16:26:05 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc16

Comment 3 Fedora Update System 2011-08-23 16:26:28 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc14

Comment 4 Fedora Update System 2011-08-23 16:26:51 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc15

Comment 5 Fedora Update System 2011-08-23 16:27:15 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.el5

Comment 6 Fedora Update System 2011-08-23 20:30:43 UTC
Package fedora-easy-karma-0-0.13.20110823gitb0706146.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-easy-karma-0-0.13.20110823gitb0706146.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.13.20110823gitb0706146.fc16
then log in and leave karma (feedback).

Comment 7 Andre Robatino 2011-08-23 21:43:41 UTC
The 'i' option for ignoring updates seems to work fine, with the exception that if you exit f-e-k with Ctrl-D, it doesn't remember any ignore choices made during that run. Is that expected?

(In other words, if I run f-e-k, tell it to ignore several packages, Ctrl-D, then run it again, the packages are not ignored.)

Comment 8 Till Maas 2011-08-24 18:34:58 UTC
(In reply to comment #7)
> The 'i' option for ignoring updates seems to work fine, with the exception that
> if you exit f-e-k with Ctrl-D, it doesn't remember any ignore choices made
> during that run. Is that expected?

Thank you, that was not expected but is fixed in the current development version. There only on CTRL-C the ignore list is not stored.

Comment 9 Fedora Update System 2011-08-24 18:56:02 UTC
fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc14

Comment 10 Fedora Update System 2011-08-24 18:56:25 UTC
fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc15

Comment 11 Fedora Update System 2011-08-24 18:56:48 UTC
fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.14.20110824gitb3e2f900.fc16

Comment 12 Andre Robatino 2011-08-25 00:24:13 UTC
Using the new build, I seem to be seeing some of the updates which I told it to ignore yesterday. Is it possible that it's not remembering old ignored updates properly after a new push?

Comment 13 Fedora Update System 2011-08-25 17:04:03 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.15.20110825git36efb338.fc14

Comment 14 Fedora Update System 2011-08-25 17:04:25 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.15.20110825git36efb338.fc15

Comment 15 Fedora Update System 2011-08-25 17:04:49 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-easy-karma-0-0.15.20110825git36efb338.fc16

Comment 16 Fedora Update System 2011-08-30 20:48:53 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-08-31 01:29:50 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-09-07 00:10:25 UTC
fedora-easy-karma-0-0.15.20110825git36efb338.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-09-09 00:03:01 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-09-09 00:04:40 UTC
fedora-easy-karma-0-0.13.20110823gitb0706146.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.